1. 3. Returns
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
      • Get Product
    • 3. Returns
      • List Return Reasons
        GET
      • Create Return Reason
        POST
      • Upload Return Attachment
        POST
      • Create Return
        POST
      • List Returns
        GET
      • Get Return
        GET
      • Approve Return
        POST
      • Reject Return
        POST
      • List Resolution Methods
        GET
      • Inspect Return
        POST
      • Cancel Return
        POST
      • Get Return Timeline
        GET
    • 4. Webhooks
      • Webhook Meta
      • List Webhooks
      • Create Webhook
      • Get Webhook
      • Update Webhook
      • Delete Webhook
      • Rotate Webhook Secret
      • Send Test Webhook
      • List Webhook Deliveries
      • Get Webhook Delivery
      • Retry Webhook Delivery
    • 5. Store & Orders
      • Get Store
      • List Orders
      • Get Order
  1. 3. Returns

List Returns

GET
/partner/v1/returns
The store's returns, newest first. Scope: refunds:read.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/returns?page=1&per_page=20&status=submitted' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": {
        "records": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "external_return_id": "string",
                "request_number": 0,
                "status": "string",
                "refund_status": "string",
                "source": "string",
                "return_reason": "string",
                "order_id": "string",
                "currency": "string",
                "requested_amount": 0,
                "final_amount": 0,
                "items": [
                    {
                        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                        "line_id": "string",
                        "name": "string",
                        "sku": "string",
                        "unit_price": 0,
                        "tax": 0,
                        "discount": 0,
                        "reason": {
                            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                            "name": {
                                "en": "string",
                                "ar": "string"
                            },
                            "return_types": [
                                "string"
                            ]
                        },
                        "status": "string"
                    }
                ],
                "refunds": [
                    {
                        "method": "string",
                        "amount": 0,
                        "status": "string",
                        "payment": {
                            "transaction_reference": "string",
                            "status": "string",
                            "amount": 0,
                            "fee": 0,
                            "currency": "string",
                            "value_date": "2019-08-24",
                            "from": {
                                "name": "string",
                                "account": "string",
                                "bic": "string"
                            },
                            "to": {
                                "name": "string",
                                "account": "string",
                                "bic": "string"
                            },
                            "created_at": "2019-08-24T14:15:22.123Z"
                        }
                    }
                ],
                "attachments": [
                    {
                        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                        "url": "string",
                        "media_type": "string",
                        "created_at": "2019-08-24T14:15:22.123Z"
                    }
                ],
                "shipments": [
                    {
                        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                        "direction": "string",
                        "status": "string",
                        "tracking_number": "string",
                        "carrier_tracking_number": "string",
                        "tracking_url": "string",
                        "label_url": "string",
                        "created_at": "2019-08-24T14:15:22.123Z"
                    }
                ],
                "invoice_url": "string",
                "submitted_at": "2019-08-24T14:15:22.123Z",
                "approved_at": "2019-08-24T14:15:22.123Z",
                "rejected_at": "2019-08-24T14:15:22.123Z",
                "completed_at": "2019-08-24T14:15:22.123Z",
                "created_at": "2019-08-24T14:15:22.123Z"
            }
        ],
        "total": 0,
        "page": 0,
        "limit": 0,
        "total_pages": 0
    }
}
Previous
Create Return
Next
Get Return
Built with